## org.eclipse.emf.cdo.server.db
Interface IDBStoreAccessor

All Superinterfaces:
  IQueryHandlerProvider, IStoreAccessor

    public interface IDBStoreAccessor

extends IStoreAccessor

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor
`IStoreAccessor.AdditionalRevisionCache, IStoreAccessor.CommitContext, IStoreAccessor.QueryResourcesContext`

Method Summary
`java.sql.Connection` `getConnection()`
`IPreparedStatementCache` `getStatementCache()`
`IDBStore` `getStore()` Returns the store this accessor is associated with.

Methods inherited from interface org.eclipse.emf.cdo.server.IStoreAccessor
`commit, createChunkReader, getSession, getTransaction, isReader, loadPackageUnit, queryResources, readPackageUnits, readResourceID, readRevision, readRevisionByTime, readRevisionByVersion, refreshRevisions, release, rollback, verifyRevision, write, writePackageUnits`

Methods inherited from interface org.eclipse.emf.cdo.server.IQueryHandlerProvider
`getQueryHandler`

Method Detail

### getStore

    IDBStore getStore()

  Description copied from interface: `IStoreAccessor`
  Returns the store this accessor is associated with.

  Specified by:
    `getStore` in interface `IStoreAccessor`

### getConnection

    java.sql.Connection getConnection()

### getStatementCache

    IPreparedStatementCache getStatementCache()

  Since:
    2.0

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.